Bug 973513 - [RFE] export all grid data to CSV
[RFE] export all grid data to CSV
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs (Show other bugs)
3.2.0
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: nobody nobody
Pavel Stehlik
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-12 02:03 EDT by vvyazmin@redhat.com
Modified: 2018-06-17 10:51 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-06-17 10:51:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sherold: Triaged+


Attachments (Terms of Use)
## Print-screen (234.92 KB, image/png)
2013-06-12 02:03 EDT, vvyazmin@redhat.com
no flags Details

  None (edit)
Description vvyazmin@redhat.com 2013-06-12 02:03:31 EDT
Created attachment 759959 [details]
## Print-screen

Description of problem: 
Give to user option to export to OVF file after relevant query in search options

Version-Release number of selected component (if applicable):
RHEVM 3.2 - SF17.1 environment: 

RHEVM: rhevm-3.2.0-11.28.el6ev.noarch 
VDSM: vdsm-4.10.2-21.0.el6ev.x86_64 
LIBVIRT: libvirt-0.10.2-18.el6_4.5.x86_64 
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.355.el6_4.3.x86_64 
SANLOCK: sanlock-2.6-2.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Create a query in search options

Example from real life:
* I'm a regular user of RHEVM product, and I have a permission to use this system, but a don't have any privileges for SysAdmin user.
* Once I found that some of my VM's have status “Image Locked”.
* I did a quick query in search options:
Vms: datacenter = DC01 status != down
* Voila, I get all list with 20 VM's, that have status “Image Locked” (see print-screen)
* Now I want to send this list to System Administrator of company, in order to fix them.
  
Actual results:
I can't do it.

Expected results:
I can export to OVF file after relevant query in search options

Impact on user:

Workaround:
Do  print-screen

Additional info:

print-screen attached. 

/var/log/ovirt-engine/engine.log

/var/log/vdsm/vdsm.log
Comment 1 Itamar Heim 2013-06-13 00:53:09 EDT
I assume CSV, not OVF here (which would make it valid for all grids)
Comment 2 Einav Cohen 2013-09-21 13:44:17 EDT
(In reply to vvyazmin@redhat.com from comment #0)
> 
> Example from real life:
> * I'm a regular user of RHEVM product, and I have a permission to use this
> system, but a don't have any privileges for SysAdmin user.
> * Once I found that some of my VM's have status “Image Locked”.
> * I did a quick query in search options:
> Vms: datacenter = DC01 status != down
> * Voila, I get all list with 20 VM's, that have status “Image Locked” (see
> print-screen)
> * Now I want to send this list to System Administrator of company, in order
> to fix them.
>   
> Actual results:
> I can't do it.

assuming you want to send it to someone with admin access to the RHEV-M setup: why not create a bookmark and refer that admin to the bookmark, or simply send him the search query that you have used ("Vms: datacenter = DC01 status != down")?

[if it is someone without admin privileges to the RHEV-M setup, then it makes sense, however there isn't much that the recipient will be able to do with this list without having such privileges anyway, so doesn't really makes sense...]
Comment 8 RHEL Product and Program Management 2015-04-28 09:26:08 EDT
Quality Engineering Management has reviewed and declined this request.
You may appeal this decision by reopening this request.
Comment 11 Einav Cohen 2015-04-29 19:22:12 EDT
We have something today for PDFs via the REST API, I am wondering if this is similar to what we are looking for, only we need CSV format rather than PDF:

./backend/manager/modules/restapi/jaxrs/src/main/java/org/ovirt/engine/api/restapi/pdf
./backend/manager/modules/restapi/jaxrs/src/main/resources/pdf
Comment 12 Einav Cohen 2015-04-30 07:28:47 EDT
Yaniv, do we want the results of the current page being viewed only (we are displaying only 100 items per page, by default)? or of *all* of the results (cross-pages)?
Comment 13 Yaniv Lavi 2015-04-30 10:02:04 EDT
(In reply to Einav Cohen from comment #12)
> Yaniv, do we want the results of the current page being viewed only (we are
> displaying only 100 items per page, by default)? or of *all* of the results
> (cross-pages)?

All of the results, not paged.
Comment 18 Greg Sheremeta 2017-11-30 17:55:06 EST
I was about to say "related to or blocked by Bug 1154556", but Comment 13 says all results should be returned. So moving to infra.
Comment 19 Doron Fediuck 2018-06-17 10:51:29 EDT
Closing old issues.
If needed, please re-open with a use-case.

Note You need to log in before you can comment on or make changes to this bug.